---
title: "Get product sales data in store"
url: "https://developer.migros.ch/apis/urd-procurement-reports-0/versions/31873713-316d-454e-97a0-afcdd7a38e8d/operations/getProductProcurementReport"
---

> Full API specification: https://developer.migros.ch/apis/urd-procurement-reports-0/versions/31873713-316d-454e-97a0-afcdd7a38e8d.md

# Get product sales data in store

`GET` `/migros/products/v1/procurement-report/{productId}/{storeId}`

Operation ID: `getProductProcurementReport`

This endpoint allows to get historic sales data for a specific product provided by the `productID` path parameter in a specific store. A date range must be provided by setting the `from` and `to` query parameters. It must not exceed 45 days.

## Path parameters

- `productId` (string, required)
- `storeId` (string, required)

## Query parameters

- `from` (string, required)
- `to` (string, required)

## Responses

- `200` - Aggregated sales data per date per `promotionType`

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Urd Procurement Reports
  version: 0.0.1
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/products/v1/procurement-report/{productId}/{storeId}:
    get:
      description: >-
        This endpoint allows to get historic sales data for a specific product
        provided by the `productID` path parameter in a specific store.


        A date range must be provided by setting the `from` and `to` query
        parameters. It must not exceed 45 days.
      operationId: getProductProcurementReport
      parameters:
        - in: path
          name: productId
          required: true
          schema:
            $ref: "#/components/schemas/productId"
        - in: path
          name: storeId
          required: true
          schema:
            $ref: "#/components/schemas/storeId"
        - $ref: "#/components/parameters/from"
        - $ref: "#/components/parameters/to"
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: "#/components/schemas/Day"
                type: array
          description: Aggregated sales data per date per `promotionType`
      summary: Get product sales data in store
      tags:
        - Procurement-Report
security:
  - Kong-Api-Key: []
components:
  schemas:
    productId:
      example: "264580113200"
      maxLength: 12
      minLength: 12
      pattern: ^\d{12}$
      type: string
    storeId:
      example: "0150018"
      maxLength: 7
      minLength: 7
      pattern: ^\d{7}$
      type: string
    Day:
      properties:
        date:
          example: 2026-01-01
          type: string
        sales:
          items:
            $ref: "#/components/schemas/Sale"
          type: array
      required:
        - date
        - sales
      type: object
    Sale:
      properties:
        amount:
          example: 335
          type: number
          x-go-type: float64
        promotionType:
          description: >-
            Human-friendly name for the Promotion Type

            Note: If the API doesn't know a UnitCode, it'll put the plain
            UnitCode here.
          example: Normalpreis
          type: string
        promotionTypeId:
          description: ID of the Promotion Type
          example: "1415"
          type: string
        unit:
          description: "Note: If the API doesn't know a UnitCode, it'll put the plain
            UnitCode here."
          enum:
            - pce
            - kg
            - meter
            - m2
            - liter
            - kwh
          type: string
      required:
        - promotionType
        - promotionTypeId
        - amount
        - unit
      type: object
  parameters:
    from:
      in: query
      name: from
      required: true
      schema:
        example: 2026-02-23
        maxLength: 10
        minLength: 10
        pattern: ^\d{4}-\d{2}-\d{2}$
        type: string
    to:
      in: query
      name: to
      required: true
      schema:
        example: 2026-02-27
        maxLength: 10
        minLength: 10
        pattern: ^\d{4}-\d{2}-\d{2}$
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
